short int manPage(String Operand, String Modif, String Modif2)
{
    
    if(Operand == "add")
    {
    Serial.println("add       -- Adds two operands. ex. add 5.1 6 ->11.1");
    Serial.println("'add' will return floats, and is always and only two operands.");
    
    }
    else if(Operand == "sub")
    {
    Serial.println("sub       -- Subtracts two operands. ex. sub 5.1 6.1 ->-1.0");
    Serial.println("'sub' will return signed floats, of two operands.");
    }
    else if(Operand == "mult")
    {
    Serial.println("mult      -- Multiplies two operands. ex. mult 2.5 2 ->5.0");
    Serial.println("'mult' will return floats, of two operands.");
    }
    else if(Operand == "div")
    {
    Serial.println("div       -- Divides two operands. ex. div 5.0 2 ->2.5");
    Serial.println("'div' will return signed floats, of two operands.");
    }
    else if(Operand == "system")
    {
    
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("---------------------------System Help---------------------------------");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("");
    Serial.println("'cstack'       -- Shows contents of the user accessable Registers.");
    Serial.println("There are two Registers that programs may push data to; STACK,");
    Serial.println("and DEEP STACK. If a program does not modify both stacks, typically");
    Serial.println("the stack is pushed to the deep stack, if the stack is modified.");
    Serial.println("____________________________________________________________________");
    Serial.println("'pstack'       -- Pushes contents from the terminal to the STACK.");
    Serial.println("The original contents of the STACK are PUSHED to the DEEP STACK.");
    Serial.println("____________________________________________________________________");
    
    Serial.println("-----------------------Hardware Access---------------------------------");
    Serial.println("Radiation Counter:");
    Serial.println("Signal              Input to Cortex = 2");
    Serial.println("Vibration / Noise   Input to Cortex = 5");
    Serial.println("Parallax Speech Encorder:");
    Serial.println("Serial Port 2 RX    Cortex Receive  = 7");
    Serial.println("Serial Port 2 TX    Cortex Transmit = 8");
    Serial.println("-----------------------------------------------------------------------");
    }
    else if(Operand == "initspeak")
    {
    Serial.println("initspeak -- Initializes EMIC Processor and Returns OK");
    Serial.println("'initspeak' has no operands and will try to connect");
    Serial.println("and initialize until EMIC processer boots, then will return OK.");
    Serial.println("It will also return to the terminal the number of trys it took.");
    
    }
    else if(Operand == "sayhi")
    {
    Serial.println("sayhi     -- Speech processor Tests audio and Returns OK");
    Serial.println("'sayhi' has no operands, and tests the speech processor.");
    Serial.println("sayhi also initializes the EMIC processor.");
    }
    else if(Operand == "gettemp")
    {
    Serial.println("gettemp   -- Returns Temp in F and C degrees. ex. gettemp C ->60C");
    Serial.println("'gettemp' has two possible modifiers: 'F' or 'C' ");
    Serial.println("gettemp will return, and print to the terminal what is commanded ");
    Serial.println("by the modifier, no modifier will default to 'C'.");
    Serial.println("gettemp is reporting the internal CPU temperature.");
    }
    else if(Operand == "cputest")
    {
    Serial.println("cputest   -- Runs Sort Test and Returns performance time");
    Serial.println("'cputest' takes one modifier, an integer. This number decides");
    Serial.println("how large an array will be for a recursive sorting test. The ");
    Serial.println("Processor will also time the operation in seconds and periods.");
    Serial.println("a period is 1/32768ths of a second.");
    Serial.println("Ex. 'cputest 2000' Returns a charged, dynamically allocated");
    Serial.println("array, sorts the array, then displays the sorted list. It will");
    Serial.println("then return 'OK', a boolean '1', and print the time to the  ");
    Serial.println("time of the successful operation to the terminal.");
    Serial.println("Operand Limits are between 1 and 30,000. Default is 100 elements.");
    }
    else if(Operand == "ledt")
    {  
    Serial.println("ledt      -- Toggles LED, or command 'ON' / 'OFF' Modifier");
    Serial.println("'ledt' has one modifier than can be 'ON' or 'OFF'. The");
    Serial.println("flags are case sensitive. An 'ON' will force the diagnostic");
    Serial.println("on-board led, pin 13 on, and an 'OFF' will force pin 13 off from");
    Serial.println("any state. If the modifier is left off Ex. 'ledt' will toggle");
    Serial.println("the state of pin 13. After ledt controlls the state of pin 13,");
    Serial.println("it will return the state of the pin in a boolean '1' or '0'.");
    }
    else if(Operand == "man")
    {
    Serial.println("man       -- Returns command list or Specific command definition  ");
    Serial.println("Ex. 'man man' will return how you got here... Hey, we've got bytes");
    Serial.println("to spare on these untra-high-tech microcontrollers for stuff like ");
    Serial.println("this!");   
    }
    else if(Operand == "trng")
    {
    Serial.println("trng       -- Returns a true random 32-bit number in float, and prints");
    Serial.println("a 32-Bit Hex. An 'Element' must be given Ex. 'trng 3' -> af0d82bb");
    }
    else if(Operand == "radnum")
    {
    Serial.println("radnum     -- Returns a true entropy random 8-bit number.");
    Serial.println("---WARNING--- This may take several minutes in a low-rad environment.");
    }
    else if(Operand == "sett")
    {
    Serial.println("sett      -- Set time command Hours,Minutes,Seconds,Month,Day,Year");
    Serial.println("Ex. 'sett 19 37 0 9 13 2022' will set processor time to 19:37:00pm,");
    Serial.println("and set the date to month 9 day 13 of the year 2022. These metrics");
    Serial.println("may be delimited by a space or a comma. Ex. 'sett,7,37,0,9,13,2022'.");   
    }
    else if(Operand == "gett")
    {

      if(Modif == "all")
        {
          Serial.println("'gett all'     -- Returns all temporal information the main CPU has");
          Serial.println("to offer. Command displays formated 24 hour time- hours, minutes,");
          Serial.println("seconds, month, day, and year. Command pushes seconds to the stack,");
          Serial.println("minutes to the deep stack and returns the hour.");
        }
      else if(Modif == "date")
        {
          Serial.println("'date'         -- Returns formated month, day, and year. Command ");
          Serial.println("pushes month to the stack, day to the deep stack and returns the year.");
        }
      else if(Modif == "minute")
        {
          Serial.println("'minute'       -- Returns formated minute to the terminal. ");
          Serial.println("The minute escape sequence will also push the minute to the stack,");
          Serial.println("and return the minute from the function.");
        }
      else if(Modif == "year")
        {
          Serial.println("'year'         -- Returns formated year to the terminal. ");
          Serial.println("The year escape sequence will also push the year to the stack,");
          Serial.println("and return the year from the function.");
        }
      else if(Modif == "month")
        {
          Serial.println("'month'        -- Returns formated month to the terminal. ");
          Serial.println("The month escape sequence will also push the month to the stack,");
          Serial.println("and return the month from the function.");
        }
      else if(Modif == "day")
        {
          Serial.println("'day'          -- Returns formated day to the terminal. ");
          Serial.println("The day escape sequence will also push the day to the stack,");
          Serial.println("and return the day from the function.");
        }
      else if(Modif == "hour")
        {
          Serial.println("'hour'         -- Returns formated hour to the terminal. ");
          Serial.println("The hour escape sequence will also push the hour to the stack,");
          Serial.println("and return the hour from the function.");
        }
      else if(Modif == "second")
        {
          Serial.println("'second'       -- Returns formated second to the terminal. ");
          Serial.println("The second escape sequence will also push the second to the stack,");
          Serial.println("and return the second from the function.");
        }
      else if(Modif == "th")
        {

          if(Modif2 == "h")
            {
              Serial.println("The 'h' modifier for 'th' Ex. 'gett th h' will return just the ");
              Serial.println("formated hour to the terminal. The function return will be the ");
              Serial.println("12-Hour formated hour, as well as the stack. The deep stack will");
              Serial.println("will get pushed a '1' for PM or a '0' for AM.");
            }
          else
            {
              Serial.println("'gett th'      -- Returns 12 Hour time with an AM/PM indicator.");
              Serial.println("Terminal formated 12-Hour time H:M:S with indicator appended.");
              Serial.println("Program pushes hour to the stack in 12-Hour format, and pushes");
              Serial.println("a '1' to the deep stack for PM  or a '0' for AM.");
              Serial.println("Function returns hour in 12-Hour format.");
              Serial.println("There is one modifier for th, 'h' Ex. 'gett th h' will return ");
              Serial.println("just the formated hour to the terminal, and push to the stacks.");
            }//RND conditional in 'th'
          
        }//END man 'th' test
      else
        {
          Serial.println("gett      -- Get time command Hours,Minutes,Seconds,Month,Day,Year");
          Serial.println("This is the main function of the system and provides many options to");
          Serial.println("get the time as kept from the main system processor. It does not update");
          Serial.println("the time from any other source before the time is fetched. There are ");
          Serial.println("many key words to operate the 'gett' program from the system terminal.");
          Serial.println("KEYWORDS: 'all', 'date', 'minute', 'year', 'month', 'day', 'hour', ");
          Serial.println("'seconds', and 'th' (12 hour format).");
          Serial.println("Specific help may be found in 'man'. Ex. 'man gett th'.");   
        }//END ELSE GETT TEST
    
    }//END GETT HELP
    else
    {
    Serial.println("");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("---------------------------Manual Help---------------------------------");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("Specific commands and their modifiers may be found by entering the     ");
    Serial.println("command after 'man'. Note that all commands are not case sensitive.    ");
    Serial.println("However, some flags/modifiers are case sensitive.                      ");
    Serial.println("Ex. 'man gettemp' will return more information on the gettemp command. ");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("-----------------------------------------------------------------------");
    Serial.println("");
    Serial.println("--------------------------Command List---------------------------------");    
    Serial.println("add       -- Adds two operands. ex. add 5.1 6 ->11.1");
    Serial.println("sub       -- Subtracts two operands. ex. sub 5.1 6.1 ->-1.0");
    Serial.println("mult      -- Multiplies two operands. ex. mult 2.5 2 ->5.0");
    Serial.println("div       -- Divides two operands. ex. div 5.0 2 ->2.5");
    Serial.println("initspeak -- Initializes EMIC Processor and Returns OK");
    Serial.println("sayhi     -- Speech processor Tests audio and Returns OK");
    Serial.println("gettemp   -- Returns Temp in F and C degrees. ex. gettemp C ->60C");
    Serial.println("cputest   -- Runs Sort Test and Returns performance time");
    Serial.println("ledt      -- Toggles LED, or command 'ON' / 'OFF' Modifier");
    Serial.println("man       -- Returns command list or Specific command definition");
    Serial.println("sett      -- Set time command H,M,S,Month,Day,Year ");
    Serial.println("gett      -- Get time command H,M,S,Month,Day,Year ");
    Serial.println("trng      -- Get True Random Number Generated on the Cortex");
    Serial.println("radnum    -- Returns true entropy 8-Bit number with gamma-ray detector");
    Serial.println("system    -- System Commands pstack, cstack.");
    Serial.println("-----------------------------------------------------------------------");  
    }
  return 14;        //Number of Manual Page Items
}  
